package nc.ui.th.th_bonus.ace.serviceproxy;

import nc.bs.framework.common.NCLocator;
import nc.ui.pubapp.pub.task.ISingleBillService;
import nc.vo.th.bonus.AggbonusVO;
/**
 * 示例单据的删除代理，支持批删除
 * 
 * @since 6.0
 * @version 2011-8-4 上午07:22:35
 * @author duy
 */
public class AceTh_bonusDeleteProxy implements ISingleBillService<AggbonusVO> {

    @Override
    public AggbonusVO operateBill(AggbonusVO bill) throws Exception {
        nc.itf.th.ITh_bonusMaintain operator = NCLocator.getInstance().lookup(nc.itf.th.ITh_bonusMaintain.class);
        operator.delete(new AggbonusVO[] {
            bill
        });
        return bill;
    }

}
